package cordon.bleu.user;

import cordon.bleu.tour.TourInfo;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.Email;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.Date;

@Entity
@Getter
@Setter
@Table(name = "users")
public class User {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private int id;

    @OneToOne(cascade = CascadeType.ALL, mappedBy = "user")
    private UserRole userRole;


    @Size(min = 2, message = "{user.firstnamesize}")
    @Pattern(regexp = "^[a-zA-Z]+$", message = "{user.firstnameformat}")
    private String firstname;

    @Size(min = 2, message = "{user.lastnamesize}")
    @Pattern(regexp = "^[a-zA-Z]+$", message = "{user.lastnameformat}")
    private String lastname;

    @Email(message = "{user.email}")
    private String email;


}
